# Uses of Class
javassist.bytecode.annotation.MemberValue

Packages that use MemberValue
Package
Description
javassist.bytecode
Bytecode-level API.
javassist.bytecode.annotation
Bytecode-level Annotations API.

## Uses of MemberValue in javassist.bytecode

Methods in javassist.bytecode that return MemberValue
Modifier and Type
Method
Description
`MemberValue`
AnnotationDefaultAttribute.`getDefaultValue()`
Obtains the default value represented by this attribute.
Methods in javassist.bytecode with parameters of type MemberValue
Modifier and Type
Method
Description
`void`
AnnotationDefaultAttribute.`setDefaultValue(MemberValue value)`
Changes the default value represented by this attribute.

## Uses of MemberValue in javassist.bytecode.annotation

Subclasses of MemberValue in javassist.bytecode.annotation
Modifier and Type
Class
Description
`class`
`AnnotationMemberValue`
Nested annotation.
`class`
`ArrayMemberValue`
Array member.
`class`
`BooleanMemberValue`
Boolean constant value.
`class`
`ByteMemberValue`
Byte constant value.
`class`
`CharMemberValue`
Char constant value.
`class`
`ClassMemberValue`
Class value.
`class`
`DoubleMemberValue`
Double floating-point number constant value.
`class`
`EnumMemberValue`
Enum constant value.
`class`
`FloatMemberValue`
Floating-point number constant value.
`class`
`IntegerMemberValue`
Integer constant value.
`class`
`LongMemberValue`
Long integer constant value.
`class`
`ShortMemberValue`
Short integer constant value.
`class`
`StringMemberValue`
String constant value.
Methods in javassist.bytecode.annotation that return MemberValue
Modifier and Type
Method
Description
`static MemberValue`
Annotation.`createMemberValue(ConstPool cp, CtClass type)`
Makes an instance of `MemberValue`.
`MemberValue`
Annotation.`getMemberValue(String name)`
Obtains the member value with the given name.
`MemberValue`
ArrayMemberValue.`getType()`
Obtains the type of the elements.
`MemberValue[]`
ArrayMemberValue.`getValue()`
Obtains the elements of the array.
Methods in javassist.bytecode.annotation with parameters of type MemberValue
Modifier and Type
Method
Description
`void`
Annotation.`addMemberValue(int nameIndex, MemberValue value)`
Adds a new member.
`void`
Annotation.`addMemberValue(String name, MemberValue value)`
Adds a new member.
`void`
ArrayMemberValue.`setValue(MemberValue[] elements)`
Sets the elements of the array.
Constructors in javassist.bytecode.annotation with parameters of type MemberValue
Modifier
Constructor
Description
``
`ArrayMemberValue(MemberValue t, ConstPool cp)`
Constructs an array.